PUT

Update Email Settings Config

Due to SMTP updates, this API has been removed. A new API will be provided when available.

Use this API to update the Email Settings config.

Resource URL

https://<subdomain>.onelogin.com/api/2/branding/email_settings

Header Parameters

Authorization

required

string

Set to bearer <access_token>.

Set <access_token> to the access token you generated using the Generate Token API.

The access token must have been generated using an API credential pair created using the scope required to call this API. This API can be called using any one of the following scopes: Manage All.

Content-Type

required

string

Set to application/json.

Update Email Settings Event

When you update the Email Settings config, it produces an Event in the OneLogin admin portal. To view the event, in the admin portal go to Activity > Events.

The event pictured below informs the admin that the operation succeeded.

SMTP Event API settings in OneLogin admin

Request Parameters

addressstringRequired. Email Settings server address
domainstringRequired. Domain of the From address.
fromstringRequired. The From email address in the message.
portintegerOptional. Defaults to 2.5.
user_namestringOptional. The user name of the account to authenticate with the Email Settings server.
passwordstringOptional. The password of the account to authenticate with the Email Settings server.
use_tlsbooleanOptional. Defaults to true.
authenticationstringOptional. The authentication type.

Sample Request Body

{
   "address": "smtp.sendgrid.net",
   "use_tls": true,
   "from": "email@example.com",
   "domain": "example.com",
   "user_name": "user-name",
   "password": "password",
   "authentication": "login",
   "port": 587
}

Sample Responses

{
   "message": "Settings Updated",
   "statusCode": 200,
   "name": "Success"
}

Typically, this error means that your Authorization header value is missing or incorrectly formatted. The Authorization header value should use this format: bearer <access_token>.

{
    "message": "Unauthorized",
    "statusCode": 401,
    "name": "UnauthorizedError"
}

Indicates that the syntax of the request is good but a value supplied is not valid.

{
    "message": "Validation failed",
    "statusCode": 422,
    "name": "UnprocessableEntityError"
}

Postman Collection

Replace sample variables indicated by {{ }} with your actual values.

Run In Postman

    Clicking Run in Postman button navigates to the page where you can fork the collection to your workspace. Forking the collection into your workspace will enable you to contribute to the source collection using pull requests. You can also view the collection in a public workspace if you like and even import a copy of the collection using the links present on the screen.

Sample Code

cURL

Replace sample values indicated by < > with your actual values.

Update Email Settings Config

curl 'https://<subdomain>.onelogin.com/api/2/branding/email_settings' \
-X PUT \
-H "Authorization: bearer <access_token>" \
-H "Content-Type: application/json" \
-d '{
    "address": ""smtp.sendgrid.net",
    "domain": "example.com",
    "from": "email@example.com"
}'